Name:		vile
Version:	9.8j
Release:	1%{?dist}
Summary:	VI Like Emacs
Group:		Applications/Editors
License:	GPLv2
URL:		http://invisible-island.net/vile/
Source0:	ftp://invisible-island.net/vile/current/%{name}-%{version}.tgz
Source1:	xvile.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ncurses-devel
BuildRequires:	flex
BuildRequires:	desktop-file-utils
Requires:	%{name}-common = %{version}-%{release}

%package	common
Summary:	The common files needed by any version of the VIM editor
Group:		Applications/Editors

%package -n	xvile
Summary:	VI Like Emacs
Group:		Applications/Editors
%if 0%{?el5}%{?el6}%{?fedora}
BuildRequires:	libXpm-devel
BuildRequires:	libXt-devel
Requires:	xorg-x11-fonts-misc
%endif
%if 0%{?el4}
BuildRequires:	xorg-x11-libs
BuildRequires:	xorg-x11-devel
Requires:	fonts-xorg-base
%endif

Requires:	%{name}-common = %{version}-%{release}


%description	common
vile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding. 
vile-common provides the files needed for all versions of vile.

%description -n xvile
xvile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.

%description 
vile is a text editor which is extremely compatible with vi in terms of "finger
feel".  In addition, it has extended capabilities in many areas, notably
multi-file editing and viewing, syntax highlighting, and key rebinding.

%prep
%setup -q

%build
%configure --with-loadable-filters --disable-rpath-hack
make %{?_smp_mflags} vile

%configure --with-app-defaults=%{_datadir}/X11/app-defaults \
	   --with-screen=x11 --with-loadable-filters --disable-rpath-hack \
	   --with-icon-theme --with-icondir=%{_datadir}/icons/ \
	   --with-pixmapdir=%{_datadir}/pixmaps/ --with-xpm
make %{?_smp_mflags} xvile
touch vile

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p' TARGET='xvile'
make install DESTDIR=%{buildroot} INSTALL='install -p' TARGET='vile'
desktop-file-install --vendor='' --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

ln -s %{_mandir}/man1/xvile.1 %{buildroot}%{_mandir}/man1/uxvile.1
ln -s %{_mandir}/man1/xvile.1 %{buildroot}%{_mandir}/man1/lxvile.1


%post -n xvile
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n xvile
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans -n xvile
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/vile
%{_bindir}/vile-pager
%{_mandir}/man1/vile.1*

%files common
%defattr(-,root,root,-)
%doc AUTHORS COPYING CHANGES README doc/*doc
%{_datadir}/vile/
%{_libdir}/vile/

%files -n xvile
%defattr(-,root,root,-)
%{_bindir}/lxvile
%{_bindir}/lxvile-fonts
%{_bindir}/uxvile
%{_bindir}/xshell.sh
%{_bindir}/xvile
%{_bindir}/xvile-pager
%{_mandir}/man1/xvile.1*
%{_mandir}/man1/lxvile.1*
%{_mandir}/man1/uxvile.1*
%{_datadir}/pixmaps/vile.xpm
%{_datadir}/icons/hicolor/*/apps/vile.*
%{_datadir}/X11/app-defaults/XVile
%{_datadir}/X11/app-defaults/UXVile
%{_datadir}/applications/xvile.desktop

%changelog
* Fri May 10 2013 Mark Mckinstry <mmckinst@nexcess.net> - 9.8j-1
- upgrade to 9.8j

* Sun Dec  2 2012 Mark McKinstry <mmckinst@nexcess.net> - 9.8i-1
- upgrade to 9.8i
- use better icons

* Wed May 11 2011 Mark McKinstry <mmckinst@nexcess.net> 9.8e-1
- upgrade to 9.8e
- fix dependency

* Sun Jan 30 2011 Mark McKinstry <mmckinst@nexcess.net> 9.8d-3
- symlink lxvile and uxvile to xvile manpage
- add emtpy vendor tag to desktop-file-install to make EPEL happy
- add some conditionals so it will build on EPEL 4

* Wed Jan 26 2011 Mark McKinstry <mmckinst@nexcess.net> 9.8d-2
- include xvile.desktop
- include verison for vile-common requirements
- replace icon with xpm version

* Thu Jan 23 2011 Mark McKinstry <mmckinst@nexcess.net> 9.8d-1
- upgrade to 9.8d
- create vile-common package

* Thu Nov 22 2010 Mark McKinstry <mmckinst@nexcess.net> 9.8b-1
- upgrade to 9.8b
- add xvile

* Tue Aug 16 2010 Mark McKinstry <mmckinst@nexcess.net> 9.8-1
- upgrade to 9.8
- include more documentation

* Sat May 8 2010 Mark McKinstry <mmckinst@nexcess.net> 9.7zc-1
- initial build
